Kerbal Space Program - Bug #9721

Crash at startup
05/12/2016 08:42 PM - gamerprogrammer

Status: Not a Bug Start date: 05/12/2016
Severity: Low % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.2 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

1. Open Steam menu from Dock

2. Select "Kerbal Space Program"”

3. Wait a short moment till black screen appears with no content

4. Crash

Reproduced: once or three times (I don't know if it's a same issue)

Some stack symbols: (see attachment)

7 libsystem_c.dylib 0x00007fff8d7496e7 abort + 129

8 unity.Squad.Kerbal Space Program 0x0000000100a4cc84 HandleSignal(int, __siginfo*, void*) + 36
9 libmono.0.dylib 0x0000000101ad0749 mono_chain_signal + 75

10 libmono.0.dylib 0x0000000101a154e1 mono_sigsegv_signal_handler + 210

11 libsystem_platform.dylib 0x00007fff97e2f52a _sigtramp + 26

12 libsystem_kernel.dylib 0x00007fff88fa7129 __commpage_gettimeofday + 41

13 unity.Squad.Kerbal Space Program
265

14 unity.Squad.Kerbal Space Program
>::TryDeallocate(void*) + 137

15 unity.Squad.Kerbal Space Program
16 unity.Squad.Kerbal Space Program
17 unity.Squad.Kerbal Space Program

Environment:

0x00000001007d94c9 DynamicHeapAllocator<LowLevelAllocator>::TryDeallocate(void*) +
0x00000001007dac49 DualThreadAllocator<DynamicHeapAllocator<LowLevelAllocator>
0x00000001007d587d MemoryManager::Deallocate(void*, MemLabelld) + 189

0x000000010089ee86 WWW~Curl::~WWWCurl() + 294
0x000000010089ed3e WWWCurl::~-WWWCurl() + 14

KSP: 1.1.2 (Unix) - Unity: 5.2.4f1 - OS: Mac OS X 10.11.4

Filter Extensions - 2.5

USI Tools - 0.7.2.1

B9 Part Switch - 1.0.1

Community Resource Pack - 0.5.1
Firespitter - 7.2.1

Interstellar Fuel Switch - 1.27
RasterPropMonitor - 0.25.1

KAS - 0.5.6.7

KIS-1.2.7.6

KSP-AVC Plugin - 1.1.6.1

Kerbal Joint Reinforcement - 3.1.6
HyperEdit - 1.5
NearFutureConstruction - 0.6
NearFutureElectrical - 0.7
NearFuturePropulsion - 0.7
NearFutureSolar - 0.6
NearFutureSpacecraft - 0.4.4
Kerbal Planetary Base Systems - 1.0.9
Procedural Parts - 1.2
DeepFreeze Continued... - 0.22.1
RCS Sounds - 5.0

SCANsat- 1.1.6
Interstellar Fuel Switch - 1.23
SpaceY Expanded - 1.1.8
SpaceY Lifters - 1.12.2

Kerbal Alarm Clock - 3.6.1
TweakScale - 2.2.7.2

USI Core - 0.2.2.1

USI Exploration Pack - 0.5.2.1
Karbonite - 0.7.2.1

Karbonite Plus - 0.6.2.1
Karibou - 0.2.2.1

Kolonization Core - 0.2.2.1
USI-LS-0.4.2.1

USI Survivability Pack - 0.5.2.1
UKS - 0.40.2.1

USI Alcubierre Drive - 0.4.2.1
KSP Interstellar Extended - 1.8.12

History

#1 - 05/12/2016 09:31 PM - gamerprogrammer
- File Crash.ixt added

Just few minutes later, same stacktrace

#2 - 05/12/2016 09:34 PM - gamerprogrammer

It crashed again. It launched successfully after I've relaunched Steam.

#3 - 05/12/2016 09:47 PM - smjjames
- Status changed from New to Need More Info
Uh, you do realize you're not supposed to put bug reports in that are full of mods? It could be ANYTHING.

First, you need to check if it happens in a clean install, if it does happen, then post that. If it DOESN'T happen with a cleanh install, what you need to
do is to find out which mod it is (a binary search is most effective with the number of mods you have) and then report it on the thread for that mod.

Also, make sure you have the latest versions of your mods.

#4 - 05/13/2016 10:24 AM - gamerprogrammer

smjjames, | understand what was wrong (thank you for explanation), you may close it as invalid, sorry for taking your time

#5 - 05/13/2016 01:46 PM - smjjames

- Status changed from Need More Info to Not a Bug
- % Done changed from 0 to 100
gamerprogrammer wrote:

smjjames, | understand what was wrong (thank you for explanation), you may close it as invalid, sorry for taking your time

Okay.
Files
Crash.txt 105 KB 05/12/2016 gamerprogrammer
Crash.txt 107 KB 05/12/2016 gamerprogrammer
